﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Call
{
    public partial class frmGenerateTTS : Form
    {
        string _Username;
        string _Password;
        public frmGenerateTTS(string username, string password)
        {
            InitializeComponent();
            _Username = username;
            _Password = password;

            FillComboBox();
        }

        private void FillComboBox()
        {
            ddlSpeaker.Items.Clear();

            ddlSpeaker.Items.Add(new { Text = "male = مشهد", Value = "male" });
            ddlSpeaker.Items.Add(new { Text = "female = مشهد", Value = "female" });

            ddlSpeaker.DisplayMember = "Text";
            ddlSpeaker.ValueMember = "Value";
        }

        private void btnSave_Click(object sender, EventArgs e)
        {
            var webservice = new Call.WebService3.Sample.avanak.WebService3();
            try
            {
                txtResult.Text = webservice.GenerateTTS(_Username, _Password,
                                ddlSpeaker.SelectedValue.ToString(),
                                txtText.Text,
                                txtTitle.Text
                                )
                                .ToString();
            }
            catch (Exception ex)
            {
                txtResult.Text = ex.Message;
            }
        }
    }
}
