﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Reflection;
using System.Text;
using System.Windows.Forms;

namespace Call
{
    public partial class frmGetCampaignById : Form
    {
        string _Username;
        string _Password;
        public frmGetCampaignById(string username, string password)
        {
            InitializeComponent();
            _Username = username;
            _Password = password;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            var webservice = new Call.WebService3.Sample.avanak.WebService3();
            try
            {
                var model = webservice.GetCampaignById(_Username, _Password, Convert.ToInt32(textBox1.Text));
                var datatable = new DataTable();
                datatable.Columns.Add("property");
                datatable.Columns.Add("value");

                foreach (PropertyInfo propertyInfo in model.GetType().GetProperties())
                {
                    var dr = datatable.NewRow();
                    dr["property"] = propertyInfo.Name;
                    dr["value"] = propertyInfo.GetValue(model, null);
                    datatable.Rows.Add(dr);
                }
                dataGridView1.DataSource = datatable;
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message, "خطا", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
            }
        }
    }
}
