﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Reflection;
using System.Text;
using System.Windows.Forms;

namespace Call
{
    public partial class frmGetCampaignNumberByIds : Form
    {
        string _Username;
        string _Password;
        public frmGetCampaignNumberByIds(string username, string password)
        {
            InitializeComponent();
            _Username = username;
            _Password = password;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            var webservice = new Call.WebService3.Sample.avanak.WebService3();
            try
            {
                var model = webservice.GetCampaignNumbersStatusByIds(_Username, _Password, textBox1.Text);
                string result = "";
                foreach (var item in model)
                {
                    result = item.ToString() + ",";
                }
                textBox2.Text = result;
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message, "خطا", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
            }
        }
    }
}
