﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Call
{
    public partial class frmUploadMessage : Form
    {
        string _Username;
        string _Password;
        public frmUploadMessage(string username, string password)
        {
            InitializeComponent();
            _Username = username;
            _Password = password;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            var webservice = new Call.WebService3.Sample.avanak.WebService3();
            OpenFileDialog openFileDialog1 = new OpenFileDialog();

            try
            {
                openFileDialog1.InitialDirectory = "c:\\";
                openFileDialog1.Filter = "wav files (*.wav)|*.wav|All files (*.*)|*.*";
                openFileDialog1.RestoreDirectory = true;

                if (openFileDialog1.ShowDialog() == DialogResult.OK)
                {
                    byte[] bytes = System.IO.File.ReadAllBytes(openFileDialog1.FileName);
                    textBox2.Text = webservice.UploadMessage(_Username, _Password, textBox1.Text, bytes, false).ToString();
                }
            }
            catch (Exception ex)
            {
                textBox2.Text = ex.Message;
            }
        }
    }
}
