﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Call
{
    public partial class frmMain : Form
    {
        public frmMain()
        {
            InitializeComponent();
        }

        private void btnExit_Click(object sender, EventArgs e)
        {
            Environment.Exit(0);
        }

        private void btnUploadMessage_Click(object sender, EventArgs e)
        {
            new frmUploadMessage(txtUsername.Text, txtPassword.Text).ShowDialog();
        }

        private void btnDeleteMessage_Click(object sender, EventArgs e)
        {
            new frmDeleteMessage(txtUsername.Text, txtPassword.Text).ShowDialog();
        }

        private void btnGetMessages_Click(object sender, EventArgs e)
        {
            new frmGetMessages(txtUsername.Text, txtPassword.Text).ShowDialog();
        }

        private void btnGetCampaignsByDate_Click(object sender, EventArgs e)
        {
            new frmGetCampaignsByDate(txtUsername.Text, txtPassword.Text).ShowDialog();
        }

        private void btnGetCampaignById_Click(object sender, EventArgs e)
        {
            new frmGetCampaignById(txtUsername.Text, txtPassword.Text).ShowDialog();
        }

        private void btnGetCampaignNumbersByCampaignId_Click(object sender, EventArgs e)
        {
            new frmGetCampaignNumbersByCampaignId(txtUsername.Text, txtPassword.Text).ShowDialog();
        }

        private void btnGetCampaignNumberById_Click(object sender, EventArgs e)
        {
            new frmGetCampaignNumberById(txtUsername.Text, txtPassword.Text).ShowDialog();
        }

        private void btnQuickSend_Click(object sender, EventArgs e)
        {
            new frmQuickSend(txtUsername.Text, txtPassword.Text).ShowDialog();
        }

        private void btnGetQuickSend_Click(object sender, EventArgs e)
        {
            new frmGetQuickSend(txtUsername.Text, txtPassword.Text).ShowDialog();
        }

        private void btnGetTotalCostByDate_Click(object sender, EventArgs e)
        {
            new frmGetTotalCostByDate(txtUsername.Text, txtPassword.Text).ShowDialog();
        }

        private void btnGetAccountInfo_Click(object sender, EventArgs e)
        {
            new frmGetAccountInfo(txtUsername.Text, txtPassword.Text).ShowDialog();
        }

        private void btnGetExpirationDate_Click(object sender, EventArgs e)
        {
            new frmGetExpirationDate(txtUsername.Text, txtPassword.Text).ShowDialog();
        }

        private void btnGetCredit_Click(object sender, EventArgs e)
        {
            new frmGetCredit(txtUsername.Text, txtPassword.Text).ShowDialog();
        }

        private void btnGetPrices_Click(object sender, EventArgs e)
        {
            new frmGetPrices(txtUsername.Text, txtPassword.Text).ShowDialog();
        }
        
        private void btnCreateCampaign_Click(object sender, EventArgs e)
        {
            new frmCreateCampaign(txtUsername.Text, txtPassword.Text).ShowDialog();
        }

        private void btnStopCampaign_Click(object sender, EventArgs e)
        {
            new frmStopCampaign(txtUsername.Text, txtPassword.Text).ShowDialog();
        }

        private void btnGetCampaignNumberByIds_Click(object sender, EventArgs e)
        {
            new frmGetCampaignNumberByIds(txtUsername.Text, txtPassword.Text).ShowDialog();
        }

        private void btnGetCampaignNumbersDataByIds_Click(object sender, EventArgs e)
        {
            new frmGetCampaignNumbersDataByIds(txtUsername.Text, txtPassword.Text).ShowDialog();
        }

        private void btnStartCampaign_Click(object sender, EventArgs e)
        {
            new frmStartCampaign(txtUsername.Text, txtPassword.Text).ShowDialog();
        }

        private void btnMergeAudioFiles_Click(object sender, EventArgs e)
        {
            new frmMergeAudioFiles().ShowDialog();
        }

        private void btnGenerateTTS_Click(object sender, EventArgs e)
        {
            new frmGenerateTTS(txtUsername.Text, txtPassword.Text).ShowDialog();
        }

        private void btnQuickSendWithTTS_Click(object sender, EventArgs e)
        {
            new frmQuickSendWithTTS(txtUsername.Text, txtPassword.Text).ShowDialog();
        }

        private void btnSendOTP_Click(object sender, EventArgs e)
        {
            new frmSendOTP(txtUsername.Text, txtPassword.Text).ShowDialog();
        }
    }
}
